// $Id: DOMDocumentFragment.h,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#ifndef __DOMDocumentFragment_H__
#define __DOMDocumentFragment_H__

#include <DOM/DOMNode.h>

@class NSString;
@class DOMImplementation;

@interface DOMDocumentFragment : DOMNodeWithChildren < DOMDocumentFragment >
{
}

@end

@interface DOMDocumentFragment(PrivateCtors)

/* use DOMImplementation for constructing DOMDocumentFragment's ! */
- (id)initWithName:(NSString *)_name
  publicId:(NSString *)_p systemId:(NSString *)_s
  dom:(DOMImplementation *)_dom;

@end

#endif /* __DOMDocumentFragment_H__ */
