// $Id: DOMSaxBuilder.h,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#ifndef __DOMSaxBuilder_H__
#define __DOMSaxBuilder_H__

#import <Foundation/NSObject.h>
#include <DOM/DOMBuilder.h>

@class NSString, NSData;

@interface DOMSaxBuilder : NSObject < DOMBuilder >
{
  id parser;
  id sax;
}

- (id)initWithXMLReader:(id)_saxParser;
- (id)initWithXMLReaderForMimeType:(id)_mimeType;

- (id)buildFromContentsOfFile:(NSString *)_path;
- (id)buildFromData:(NSData *)_data;

@end

#endif /* __DOMSaxBuilder_H__ */
