// $Id: NSObject+StringValue.m,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#include "common.h"

@implementation NSObject(StringValue)

- (NSString *)stringValue {
  return [self description];
}

@end /* NSObject(StringValue) */

@implementation NSString(StringValue)

- (NSString *)stringValue {
  return self;
}

@end /* NSObject(StringValue) */

@implementation NSMutableString(StringValue)

- (NSString *)stringValue {
  return [[self copy] autorelease];
}

@end /* NSObject(StringValue) */
