// $Id: SaxNamespaceSupport.m,v 1.2 2003/01/02 09:40:49 helge Exp $

#include "SaxNamespaceSupport.h"
#include "common.h"

@implementation SaxNamespaceSupport

- (void)pushContext {
  [self doesNotRecognizeSelector:_cmd];
}

- (void)popContext {
  [self doesNotRecognizeSelector:_cmd];
}

- (BOOL)declarePrefix:(NSString *)_prefix uri:(NSString *)_uri {
  [self doesNotRecognizeSelector:_cmd];
  return NO;
}

- (NSEnumerator *)prefixEnumerator {
  [self doesNotRecognizeSelector:_cmd];
  return nil;
}

- (NSString *)getUriForPrefix:(NSString *)_prefix {
  [self doesNotRecognizeSelector:_cmd];
  return nil;
}

- (void)reset {
}

- (NSArray *)processName:(NSString *)_rawName
  parts:(NSArray *)_parts
  isAttribute:(BOOL)_isAttribute
{
  [self doesNotRecognizeSelector:_cmd];
  return nil;
}

@end /* SaxNamespaceSupport */
