// $Id: NSDictionary+XmlRpcCoding.m,v 1.2 2002/07/01 10:04:17 helge Exp $

#include "XmlRpcMethodResponse.h"
#include "NSObject+XmlRpc.h"
#include "common.h"
#include "XmlRpcCoder.h"

@implementation NSDictionary(XmlRpcCoding)

- (NSString *)xmlRpcType {
  return @"struct";
}

- (void)encodeWithXmlRpcCoder:(XmlRpcEncoder *)_coder {
  [_coder encodeStruct:self];
}

+ (id)decodeObjectWithXmlRpcCoder:(XmlRpcDecoder *)_coder {
  return [_coder decodeStruct];
}

@end /* NSDictionary(XmlRpcCoding) */
