// $Id: NSString+XmlRpcCoding.m,v 1.2 2002/07/01 10:04:18 helge Exp $

#include "XmlRpcMethodResponse.h"
#include "NSObject+XmlRpc.h"
#include "XmlRpcCoder.h"
#include "common.h"

@implementation NSString(XmlRpcCoding)

+ (id)decodeObjectWithXmlRpcCoder:(XmlRpcDecoder *)_coder {
  return [_coder decodeString];
}

- (NSString *)xmlRpcType {
  return @"string";
}

- (void)encodeWithXmlRpcCoder:(XmlRpcEncoder *)_coder {
  [_coder encodeString:self];
}

@end /* NSString(XmlRpcCoding) */
