// $Id: XmlRpcMethodCall.h,v 1.1.1.1 2002/05/22 17:25:58 helge Exp $

#ifndef __XmlRpcMethodCall_H__
#define __XmlRpcMethodCall_H__

#import <Foundation/NSObject.h>

@class NSString, NSArray, NSData;

@interface XmlRpcMethodCall : NSObject
{
  NSString *methodName;
  NSArray  *parameters;
}

- (id)initWithXmlRpcString:(NSString *)_xmlRpcString;
- (id)initWithXmlRpcData:(NSData *)_xmlRpcData;
- (id)initWithMethodName:(NSString *)_name parameters:(NSArray *)_params;

/* accessors */

- (void)setMethodName:(NSString *)_name;
- (NSString *)methodName;

- (void)setParameters:(NSArray *)_params;
- (NSArray *)parameters;

- (NSString *)xmlRpcString;

@end

#endif /* __XmlRpcMethodCall_H__ */
