// $Id: DOMDocumentFragment.m,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#include "DOMDocumentFragment.h"
#include "common.h"

@implementation DOMDocumentFragment

/* node */

- (BOOL)_isValidChildNode:(id)_node {
  switch ([_node nodeType]) {
    case DOM_ELEMENT_NODE:
    case DOM_PROCESSING_INSTRUCTION_NODE:
    case DOM_COMMENT_NODE:
    case DOM_TEXT_NODE:
    case DOM_CDATA_SECTION_NODE:
    case DOM_ENTITY_REFERENCE_NODE:
      return YES;
      
    default:
      return NO;
  }
}

- (DOMNodeType)nodeType {
  return DOM_DOCUMENT_FRAGMENT_NODE;
}

- (id)attributes {
  return nil;
}

/* parent node */

- (id)parentNode {
  return nil;
}
- (id)nextSibling {
  return nil;
}
- (id)previousSibling {
  return nil;
}

@end /* DOMDocumentFragment */
