// $Id: DOMDocumentType.h,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#ifndef __DOMDocumentType_H__
#define __DOMDocumentType_H__

#include <DOM/DOMNode.h>

@interface DOMDocumentType : DOMNode
{
  id parent;
}

/* attributes */

- (NSString *)name;
- (id)entities;
- (id)notations;
- (NSString *)publicId;
- (NSString *)systemId;
- (NSString *)internalSubset;

/* node */

@end

@interface DOMDocumentType(PrivateCtors)
/* use DOMDocument for constructing DOMDocumentType's ! */

- (id)initWithName:(NSString *)_name
  publicId:(NSString *)_pubId
  systemId:(NSString *)_sysId;

@end

#endif /* __DOMDocumentType_H__ */
