// $Id: DOMDocumentType.m,v 1.2 2003/01/02 09:51:24 helge Exp $

#include "DOMDocumentType.h"
#include "common.h"

@implementation DOMDocumentType

- (id)initWithName:(NSString *)_name
  publicId:(NSString *)_pubId
  systemId:(NSString *)_sysId
  dom:(id)_dom
{
  [self release];
  return nil;
}

/* attributes */

- (NSString *)name {
  return nil;
}
- (id)entities {
  return nil;
}
- (id)notations {
  return nil;
}
- (NSString *)publicId {
  return nil;
}
- (NSString *)systemId {
  return nil;
}
- (NSString *)internalSubset {
  return nil;
}

/* node */

- (DOMNodeType)nodeType {
  return DOM_DOCUMENT_TYPE_NODE;
}

- (BOOL)_isValidChildNode:(id)_node {
  return NO;
}
- (BOOL)hasChildNodes {
  return NO;
}
- (id)childNodes {
  return nil;
}

- (id)attributes {
  return nil;
}

/* parent node */

- (void)_domNodeRegisterParentNode:(id)_parent {
  self->parent = _parent;
}
- (void)_domNodeForgetParentNode:(id)_parent {
  if (_parent == self->parent)
    /* the node's parent was deallocated */
    self->parent = nil;
}
- (id)parentNode {
  return self->parent;
}

@end /* DOMDocumentType */
