// $Id: DOMNode+QueryPath.h,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#ifndef __DOM_DOMNodeQueryPath_H__
#define __DOM_DOMNodeQueryPath_H__

#include <DOM/DOMNode.h>
#include <DOM/DOMQueryPathExpression.h>

@class NSString, NSArray;

@interface DOMNode(QueryPath)

/* Evaluate a stack of path specifiers. */
- (id)lookupPathComponents:(NSArray *)_path;

/* Same like above using a string */
- (id)lookupQueryPath:(NSString *)_path;

@end

#endif /* __DOM_DOMNodeQueryPath_H__ */
