// $Id: DOMNodeIterator.h,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#ifndef __DOMNodeIterator_H__
#define __DOMNodeIterator_H__

#import <Foundation/NSObject.h>

@interface DOMNodeIterator : NSObject
{
  id            root;
  unsigned long whatToShow;
  id            filter;
  BOOL          expandEntityReferences;
  
  /* position */
  id            lastNode;
  BOOL          beforeFirst;
  BOOL          afterLast;
}

/* attributes */

- (id)root;
- (unsigned long)whatToShow;
- (id)filter;
- (BOOL)expandEntityReferences;

/* operators */

- (id)nextNode;
- (id)previousNode;
- (void)detach;

@end

#endif /* __DOMNodeIterator_H__ */
