// $Id: DOMProcessingInstruction.h,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#ifndef __DOMProcessingInstruction_H__
#define __DOMProcessingInstruction_H__

#include <DOM/DOMNode.h>

@class NSString;

@interface DOMProcessingInstruction : DOMNode
{
  id       parent;
  NSString *target;
  NSString *data;
}

/* attributes */

- (NSString *)target;
- (void)setData:(NSString *)_data;
- (NSString *)data;

/* node */

@end

@interface DOMProcessingInstruction(PrivateCtors)
/* use DOMDocument for constructing DOMProcessingInstructions ! */

- (id)initWithTarget:(NSString *)_target data:(NSString *)_data;

@end

#endif /* __DOMProcessingInstruction_H__ */
