// $Id: DOMSaxHandler.h,v 1.1.1.1 2002/05/22 17:25:57 helge Exp $

#ifndef __DOMSaxHandler_H__
#define __DOMSaxHandler_H__

#include <SaxObjC/SaxDefaultHandler.h>

@class NSMutableArray;

@interface DOMSaxHandler : SaxDefaultHandler
{
  id   locator;
  BOOL inDTD;
  BOOL inCDATA;
  int  maxErrorCount;
  NSMutableArray *errors;
  NSMutableArray *warnings;
  NSMutableArray *fatals;
  
  /* dom */
  id  dom;
  id  document;
  int errorCount;
  
  /* dom building */
  id currentElement;

  /* */
  unsigned tagDepth;
}

- (id)initWithDOMImplementation:(id)_domImpl;

/* access result */

- (id)document;
- (void)clear;
- (int)maxErrorCount;

- (int)errorCount;
- (int)fatalErrorCount;
- (int)warningCount;
- (NSArray *)warnings;
- (NSArray *)errors;
- (NSArray *)fatalErrors;

@end

#endif /* __DOMSaxHandler_H__ */
