// $Id: DOMText.m,v 1.4 2003/01/02 09:51:25 helge Exp $

#include "DOMText.h"

@interface NSObject(UsedFdExt)
- (id)doesNotRecognizeSelector:(SEL)_sel;
@end

@implementation DOMText

/* node */

- (DOMNodeType)nodeType {
  return DOM_TEXT_NODE;
}

- (BOOL)_isValidChildNode:(id)_node {
  return NO;
}
- (BOOL)hasChildNodes {
  return NO;
}
- (id)childNodes {
  return nil;
}
- (id)appendChild:(id)_node {
  return nil;
}

- (id)attributes {
  return nil;
}

- (id<NSObject,DOMText>)splitText:(unsigned)_offset {
  [self doesNotRecognizeSelector:_cmd];
  return nil;
}

/* Level 3 Methods */

- (BOOL)isWhitespaceInElementContent {
  return NO;
}

- (NSString *)wholeText {
  [self doesNotRecognizeSelector:_cmd];
  return nil;
}

- (id<NSObject,DOMText>)replaceWholeText:(NSString *)_content {
  [self doesNotRecognizeSelector:_cmd];
  return nil;
}

@end /* DOMText */
