// $Id: SaxDefaultHandler.m,v 1.1.1.1 2002/05/22 17:25:58 helge Exp $

#include "SaxDefaultHandler.h"
#include "SaxException.h"

@implementation SaxDefaultHandler

/* SaxContentHandler */

- (void)startDocument {
}
- (void)endDocument {
}

- (void)startPrefixMapping:(NSString *)_prefix uri:(NSString *)_uri {
}
- (void)endPrefixMapping:(NSString *)_prefix {
}

- (void)startElement:(NSString *)_localName
  namespace:(NSString *)_ns
  rawName:(NSString *)_rawName
  attributes:(id<SaxAttributes>)_attributes
{
}
- (void)endElement:(NSString *)_localName
  namespace:(NSString *)_ns
  rawName:(NSString *)_rawName
{
}

- (void)characters:(unichar *)_chars length:(int)_len {
}
- (void)ignorableWhitespace:(unichar *)_chars length:(int)_len {
}

- (void)processingInstruction:(NSString *)_pi data:(NSString *)_data {
}
- (void)setDocumentLocator:(id<NSObject,SaxLocator>)_locator {
}
- (void)skippedEntity:(NSString *)_entityName {
}

/* SaxDTDHandler */

- (void)notationDeclaration:(NSString *)_name
  publicId:(NSString *)_pubId
  systemId:(NSString *)_sysId
{
}

- (void)unparsedEntityDeclaration:(NSString *)_name
  publicId:(NSString *)_pubId
  systemId:(NSString *)_sysId
  notationName:(NSString *)_notName
{
}

/* SaxEntityResolver */

- (id)resolveEntityWithPublicId:(NSString *)_pubId systemId:(NSString *)_sysId {
  return nil;
}

/* SaxErrorHandler */

- (void)warning:(SaxParseException *)_exception {
}
- (void)error:(SaxParseException *)_exception {
}

- (void)fatalError:(SaxParseException *)_exception {
  [_exception raise];
}

@end /* SaxDefaultHandler */
