// $Id: NSData+XmlRpcCoding.m,v 1.2 2002/07/01 10:04:17 helge Exp $

#include "XmlRpcMethodResponse.h"
#include "common.h"
#include "XmlRpcCoder.h"

@implementation NSData(XmlRpcCoding)

- (NSString *)xmlRpcType {
  return @"base64";
}

- (void)encodeWithXmlRpcCoder:(XmlRpcEncoder *)_coder {
  [_coder encodeBase64:self];
}

+ (id)decodeObjectWithXmlRpcCoder:(XmlRpcDecoder *)_coder {
  return [_coder decodeBase64];
}

@end /* NSData(XmlRpcCoding) */
