// $Id: NSHost+XmlRpcCoding.m,v 1.2 2002/07/01 10:04:18 helge Exp $

#include "XmlRpcMethodResponse.h"
#include "NSObject+XmlRpc.h"
#include "common.h"
#include "XmlRpcCoder.h"

@implementation NSHost(XmlRpcCoding)

- (NSString *)xmlRpcType {
  return @"string";
}

- (void)encodeWithXmlRpcCoder:(XmlRpcEncoder *)_coder {
  [_coder encodeString:[self name]];
}

+ (id)decodeObjectWithXmlRpcCoder:(XmlRpcDecoder *)_coder {
  return [NSHost hostWithName:[_coder decodeString]];
}

@end /* NSHost(XmlRpcCoding) */
