// $Id: NSObject+XmlRpc.h,v 1.1.1.1 2002/05/22 17:25:58 helge Exp $

#ifndef __NSObject_XMLRPC_H__
#define __NSObject_XMLRPC_H__

#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>
#import <Foundation/NSArray.h>

@interface NSObject(XmlRpcValues)

+ (id)objectWithXmlRpcType:(NSString *)_type
  characters:(unichar *)_chars length:(int)_len;

@end

@interface NSObject(XmlRpcSignatures)
- (NSString *)xmlRpcType;
@end

@interface NSArray(XmlRpcSignatures)
- (NSArray *)xmlRpcElementSignature;
@end

#endif /* __NSObject_XMLRPC_H__ */
