// $Id: ICalSaxParser.h,v 1.1 2002/10/10 08:06:25 helge Exp $

#ifndef __ICal2_ICalSaxParser_H__
#define __ICal2_ICalSaxParser_H__

#import <Foundation/NSObject.h>
#import <Foundation/NSString.h>

#include <SaxObjC/SaxXMLReader.h>
#include <SaxObjC/SaxContentHandler.h>
#include <SaxObjC/SaxErrorHandler.h>
#include <SaxObjC/SaxLexicalHandler.h>
#include <SaxObjC/SaxLocator.h>

@class SaxAttributes;

@interface ICalSaxParser : NSObject < SaxXMLReader >
{
  id<NSObject,SaxContentHandler> contentHandler;
  id<NSObject,SaxErrorHandler>   errorHandler;
  
  /* transient */
  NSStringEncoding encoding;
  SaxAttributes    *attrs;
}

@end

#endif /* __ICal2_ICalSaxParser_H__ */
