// $Id: NSString+ICal.h,v 1.1 2002/10/10 08:06:26 helge Exp $

#ifndef __ICal2_NSString_ICal_H__
#define __ICal2_NSString_ICal_H__

#import <Foundation/NSString.h>
#include <ical.h>

@interface NSString(ICalValue)

/* libical internal C-strings */

+ (NSStringEncoding)libicalStringEncoding;
- (id)initWithICalCString:(const char *)_cstr;
- (const char *)icalCString;
- (NSString *)icalString;

/* libical values */

- (id)initWithICalValueHandle:(icalvalue *)_handle;
- (id)initWithICalValueOfProperty:(icalproperty *)_prop;

@end /* NSString(ICalValue) */

#endif /* __ICal2_NSString_ICal_H__ */
