// $Id: libxmlSAXLocator.h,v 1.1.1.1 2002/05/22 17:25:58 helge Exp $

#ifndef __libxmlSAXLocator_H__
#define __libxmlSAXLocator_H__

#import <Foundation/NSObject.h>
#import <SaxObjC/SaxLocator.h>

#include <libxml/parser.h>

@interface libxmlSAXLocator : NSObject < SaxLocator >
{
@public
  id            parser;
  void          *ctx;
  const xmlChar *(*getPublicId)(void *ctx);
  const xmlChar *(*getSystemId)(void *ctx);
  int           (*getLineNumber)(void *ctx);
  int           (*getColumnNumber)(void *ctx);
}

- (id)initWithSaxLocator:(xmlSAXLocatorPtr)_loc parser:(id)_parser;
- (void)clear;

/* accessors */

- (int)columnNumber;
- (int)lineNumber;
- (NSString *)publicId;
- (NSString *)systemId;

@end

#endif /* __libxmlSAXLocator_H__ */
