#!/bin/sh

if test `uname` = "Darwin"; then
  echo "Installing Frameworks on Darwin ..."
  
  time (echo "SaxObjC"; cd SaxObjC; pbxbuild -target SaxObjC >.pbxbuild.log)
  time (echo "DOM";     cd DOM;     pbxbuild -target DOM     >.pbxbuild.log)
  time (echo "XmlRpc";  cd XmlRpc;  pbxbuild -target XmlRpc  >.pbxbuild.log)
  time (echo "libxmlSAXDriver"; cd libxmlSAXDriver; pbxbuild -target libxmlSAXDriver >.pbxbuild.log)

else
  echo "make debug=yes install ..."
  make -s debug=yes install
fi
